#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"aseprite\" binary in the path.\\n";
for i in $(seq 0 4);
do
    aseprite ""${ROOT}"/src/bluetunnel.aseprite" --batch --crop 0,0,36,8 --frame-range "${i}","${i}" --save-as ""${ROOT}"/export/bluetunnel__frame_"${i}".gif";
done;

popd;
